<?php

/* DCMS Special
 * Дата последнего редактирования 09.10.2016
 * Модифицировал densnet
 */

$set['title'] = lang('Фотоальбомы'); // заголовок страницы

require_once H . 'sys/inc/thead.php';

aut();
err();

$q = $db->super_query("SELECT COUNT(*) as count FROM gallery");
$k_post = $q['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_FOTO . "'>" . lang('Фотоальбомы') . "</a>";
echo "</small></div><br />";

echo "<form class='list-group-item-null list-group-item-grey' method=\"post\" action=\"search.php?go\">";
echo "<div class='input-group'>";
echo "<input type='text' class='form-control' name='search' placeholder='" . lang('Введите запрос') . "'>"
        . "<span class='input-group-btn'>"
        . "<button class='btn btn-secondary'><i class='fa fa-search fa-fw'></i>"
        . "</button>"
        . "</span>";
echo "</div>";
echo '</form>';

if (isset($user)) {
    echo "<div class='list-group-item-null'>";
    $doc->Link('btn btn-secondary btn-sm', "" . DIR_FOTO . "$user[id]/?act=create", 'plus', 'Создать альбом');
    $doc->Link('btn btn-secondary btn-sm', "" . DIR_FOTO . "$user[id]/", 'photo', 'Мои альбомы');
    echo "</div>\n";
}

echo "<div class='_4-u2'>";
echo "<div class='_4-u3 _g3h'><a href='" . DIR_FOTO . "rating.php' style='float:right;'><font color='#ccc'>" . lang('Все') . "</font></a> " . lang('Лучшие фото') . "</div>";

require 'include.php';

echo "</div>";

if ($k_post == 0) {
    $doc->NoResult();
}

$q = $db->query("SELECT * FROM `gallery` WHERE `my` = '0' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

while ($post = $db->get_row($q)) {
    $ank = get_user($post['id_user']);
    $foto = $db->get_row($db->query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$post[id]' ORDER BY RAND()"));

    if ($post['name'] == lang('Вложения')) {
        
    } else {
        $count = $db->super_query("SELECT COUNT(*) as count FROM `gallery_foto` WHERE `id_gallery` = '$post[id]'");
        echo "<table class='list-group-item-null-mini list-group-item-grey dop'><tr><td class='icon14'>";
        if ($foto == null) {
            echo "<div class='photos'>";
            echo "<div class='photos_blok'><i class='fa fa-camera fa-fw'></i> <b>" . $count['count'] . "</b></div>";
            echo "<a href='" . DIR_FOTO . "$ank[id]/$post[id]/'><img style='width:100px;height:100px;' src='" . DIR_FOTO . "foto128/0.png' alt='" . lang('Нет фото') . "' />";
            echo "</a></div>";
        } else {
            echo "<div class='photos'>";
            echo "<div class='photos_blok'><i class='fa fa-camera fa-fw'></i> <b>" . $count['count'] . "</b></div>";
            echo "<a href='" . DIR_FOTO . "$ank[id]/$post[id]/'>";
            echo "<img style='width:100px;height:100px;' src='" . DIR_FOTO . "foto150/$foto[id].$foto[ras]' alt='Фото_$foto[id]' title='" . $count['count'] . " " . lang('фото') . "'/>";
            echo "</a></div>";
        }
        echo "</td><td class='null'>\n";
        echo "<a href='" . DIR_FOTO . "$ank[id]/$post[id]/'><i class='fa fa-photo fa-fw'></i> " . toOutput($post['name']) . "</a><br />";

        if ($post['opis'] == null) {
            echo "";
        } else {
            if ($post['opis'] == null) {
                echo lang('Без описания') . "<br />";
            } else {
                echo toOutput($post['opis']) . "<br />\n";
            }
        }

        echo "<small style='color:grey;'>";
        if ($post['access'] == 'all') {
            echo "<i class='fa fa-globe fa-fw'></i> " . lang('Доступен всем');
        } elseif ($post['access'] == 'only_me') {
            echo "<i class='fa fa-lock fa-fw'></i> " . lang('Доступен только автору');
        } elseif ($post['access'] == 'friends') {
            echo "<i class='fa fa-users fa-fw'></i> " . lang('Доступен только друзьям автора');
        } elseif ($post['access'] == 'pass') {
            echo "<i class='fa fa-key fa-fw'></i> " . lang('Доступен только по паролю');
        } elseif ($post['access'] == 'auth') {
            echo "<i class='fa fa-user fa-fw'></i> " . lang('Доступен только авторизованным');
        }

        echo "<br />";
        echo user($ank['id']);
        echo " <span title='" . date::time($post['time_create']) . "'>" . date::timek($post['time_create']) . "</span>";
        echo "</small>";
        echo "</td></tr></table>\n";
    }
}

if ($k_page > 1) {
    str('?', $k_page, $page);
}

echo "<br />";

include_once H . 'sys/inc/tfoot.php';
exit;
